CompactedDataStore (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssaha.CompactedDataStore class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Class CompactedDataStore

    java.lang.Object
      org.biojava.bio.program.ssaha.CompactedDataStore

All Implemented Interfaces:
  DataStore

    public class CompactedDataStore

extends Object
implements DataStore

An implementation of DataStore that will map onto a file using the NIO constructs. You should obtain one of these by using the methods in MappedDataStoreFactory.

Author:
  Matthew Pocock, Thomas Down

Method Summary
`void` | `fireHits(int word, int offset, SearchListener listener)`
`FiniteAlphabet` | `getAlphabet()` The alphabet of symbol lists that can be searched against this DataStore.
`void` | `search(String seqID, SymbolList symList, SearchListener listener)` Search the DataStore with a symbol list.
`String` | `seqNameForID(int id)` Resolve an ID to a sequence name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlphabet

    public FiniteAlphabet getAlphabet()

  Description copied from interface: `DataStore`
  The alphabet of symbol lists that can be searched against this DataStore.

  Specified by:
    `getAlphabet` in interface `DataStore`
  Returns:
    a FiniteAlphabet search types of SymbolList

### search

    public void search(String seqID,
                       SymbolList symList,
                       SearchListener listener)

  Description copied from interface: `DataStore`
  Search the DataStore with a symbol list.

  Specified by:
    `search` in interface `DataStore`
  Parameters:
    `seqID` - the ID to report the symbol list by e.g. 'test' or 'foo1'
    `symList` - the symbol list to search with
    `listener` - the listener to inform of hits

### seqNameForID

    public String seqNameForID(int id)

  Description copied from interface: `DataStore`
  Resolve an ID to a sequence name.

  Specified by:
    `seqNameForID` in interface `DataStore`
  Parameters:
    `id` - the int number of the sequence name to resolve
  Returns:
    the name of that sequence as a String

### fireHits

    public void fireHits(int word,
                         int offset,
                         SearchListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD